
QGIS Application - Feature request #1703

No possibility to change color in unique value when assigning more then one class

2009-05-19 02:57 AM - bjpfei -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11763

Description

1.) Load a layer

2.) Choose unique value in symbology

3.) press classify

4.) assign several classes

Problem:

- in a polygon layer you can't change the fill color for the assigned classes

- in a line layer you can't change outline style, outline color, fill style and fill color

- in a point layer you can't change outline color, outline width and fill color

Also it seems as it depends on the kind of symbol you have selected what happens

After you have pressed the reset colors button everything works fine

Associated revisions

Revision 414f7688 - 2009-07-31 09:36 PM - Jürgen Fischer

[FEATURE] make restriction to change only common properties of unique value classes optional (fixes #1703)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11229 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision bf616cb0 - 2009-07-31 09:36 PM - Jürgen Fischer

[FEATURE] make restriction to change only common properties of unique value classes optional (fixes #1703)

git-svn-id: http://svn.osgeo.org/qgis/trunk@11229 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 892ec981 - 2009-08-02 10:44 AM - Jürgen Fischer

fix #1703

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11243 c8812cc2-4d05-0410-92ff-de0c093fc19c
Revision 70bf84b1 - 2009-08-02 10:44 AM - Jürgen Fischer

fix #1703

git-svn-id: http://svn.osgeo.org/qgis/trunk@11243 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-05-19 03:29 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to wontfix

Replying to bjpfei:

- in a polygon layer you can't change the fill color for the assigned classes

- in a line layer you can't change outline style, outline color, fill style and fill color

- in a point layer you can't change outline color, outline width and fill color

This is intentional.  If you select multiple classes you can change only the

options that have a common value in all those classes.

See also commit:d31074c2 (SVN r8494)

#2 - 2009-05-19 06:54 AM - bjpfei -

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

Replying to [comment:1 jef]:

Replying to bjpfei:

- in a polygon layer you can't change the fill color for the assigned classes

- in a line layer you can't change outline style, outline color, fill style and fill color

- in a point layer you can't change outline color, outline width and fill color

This is intentional.  If you select multiple classes you can change only the

options that have a common value in all those classes.

See also commit:d31074c2 (SVN r8494)
OK I understand.

But I think there could be good reasons to change multiple classes with non common values.

eg you have some classes with dash lines and some with solid lines.

Now i want them all to have dot lines. OK I can change class by class individually.

But I don't think that this is very user-friendly.

So maybe one can think about implementing this enhancement.

thx

#3 - 2009-07-31 12:38 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

in commit:bf616cb0 (SVN r11230) the lock change only common attribute can temporarily be disabled through a checkbox on the unique value dialog.

#4 - 2009-08-01 05:03 PM - Giovanni Manghi

Hi Jurgen,

I maybe noticed a bug in the symbology but I don't know if it was there before applying this patch or if it was there before.

Take a layer (testing a few from the qgis dataset) and classify it with unique values using a field (ex. "cat"). Then select a few classes (but also one is

enough) and change a property, apply.

At this point change the classification field (ex. "name") and click "classify": the result is that the old classes do not disappear and instead the new classes

are added to the old list.

#5 - 2009-08-01 05:18 PM - Giovanni Manghi

it is not really necessary to change a style option, in fact it is just enough to have one class selected and then, if you change the classification field, the old

classes will remain together with the new ones.

#6 - 2009-08-01 05:39 PM - Giovanni Manghi

I noticed also that in the unique values symbology, the values of numeric fields are ordered like strings. Don't know if this is really a bug.

#7 - 2009-08-01 09:16 PM - gcarrillo -

Lutra, the new bug (old classes don't disappear) is also in QGis 1.1.

#8 - 2009-08-02 01:45 AM - Jürgen Fischer

fixed in commit:70bf84b1 (SVN r11244)
#9 - 2009-08-02 02:25 AM - Giovanni Manghi

Replying to [comment:8 jef]:

fixed in commit:70bf84b1 (SVN r11244)

thanks, works fine
